package com.oracle.ticketsystem.beans;

import java.io.Serializable;

import javax.persistence.*;
import java.util.Set;


/**
 * The persistent class for the TECHNICIAN database table.
 * 
 */
@Entity
public class Technician implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String id;

	private String email;

	private String name;

	private String password;

	//bi-directional many-to-one association to Ticket
	@OneToMany(mappedBy="technician")
	private Set<Ticket> tickets;

	//bi-directional one-to-one association to Technicianprivatedata
	@OneToOne(mappedBy="technician")
	private Technicianprivatedata technicianprivatedata;

	@ManyToOne()
	@JoinColumn(name="DEPTID", referencedColumnName="ID")
	private Department department;
	
    public Technician() {
    }

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPassword() {
		return this.password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Set<Ticket> getTickets() {
		return this.tickets;
	}

	public void setTickets(Set<Ticket> tickets) {
		this.tickets = tickets;
	}
	
	public Technicianprivatedata getTechnicianprivatedata() {
		return this.technicianprivatedata;
	}

	public void setTechnicianprivatedata(Technicianprivatedata technicianprivatedata) {
		this.technicianprivatedata = technicianprivatedata;
	}

	public Department getDepartment() {
		return department;
	}
	
	public void setDepartment(Department department) {
		this.department = department;
	}
	
}