package com.oracle.ticketsystem.beans;

import java.io.Serializable;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import javax.persistence.Column;
import javax.persistence.Basic;
import javax.persistence.OneToMany;

/**
 * 
 */
@Entity()
@Table(name = "DEPARTMENT", schema = "TROUBLETICKETUSER")
public class Department implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id()
	@Column(name = "ID", unique = true, nullable = false, precision = 10)
	private long id;
	@Basic()
	@Column(name = "NAME", nullable = false, length = 100)
	private String name;

	//bi-directional many-to-one association to Technician
	@OneToMany(mappedBy="department")
	private Set<Technician> technicians;
	
	public Department() {
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Set<Technician> getTechnicians() {
		return technicians;
	}
	
	public void setTechnicians(Set<Technician> technicians) {
		this.technicians = technicians;
	}
	
	@Override
	public boolean equals(Object obj) {

		if ((this == obj))
			return true;
		if (!(obj instanceof Department))
			return false;
		
		Department castOther = (Department) obj;
		if (this.getId() == castOther.getId()) {
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public int hashCode() {
		return (new Long(this.getId())).hashCode();
	}
}
