package com.oracle.ticketsystem.beans;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Set;


/**
 * The persistent class for the TICKET database table.
 * 
 */
@Entity
public class Ticket implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private long id;

	@Column(nullable = false, length = 200)
	private String customeremail;

	private String customername;

	private String description;

	private String state;

	private String submissiondate;

	private String title;

	//bi-directional many-to-one association to Product
    @ManyToOne
	@JoinColumn(name="PRODUCTID")
	private Product product;

	//bi-directional many-to-one association to Technician
    @ManyToOne
	@JoinColumn(name="TECHNICIANID")
	private Technician technician;

	//bi-directional many-to-one association to Tickethistory
	@OneToMany(mappedBy="ticket")
	private Set<Tickethistory> ticketHistory;

    public Ticket() {
    }

	public long getId() {
		return this.id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getCustomeremail() {
		return this.customeremail;
	}

	public void setCustomeremail(String customeremail) {
		this.customeremail = customeremail;
	}

	public String getCustomername() {
		return this.customername;
	}

	public void setCustomername(String customername) {
		this.customername = customername;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getState() {
		return this.state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getSubmissiondate() {
		return this.submissiondate;
	}

	public void setSubmissiondate(String submissiondate) {
		this.submissiondate = submissiondate;
	}

	public String getTitle() {
		return this.title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Product getProduct() {
		return this.product;
	}

	public void setProduct(Product product) {
		this.product = product;
	}
	
	public Technician getTechnician() {
		return this.technician;
	}

	public void setTechnician(Technician technician) {
		this.technician = technician;
	}
	
	public Set<Tickethistory> getTicketHistory() {
		return this.ticketHistory;
	}

	public void setTicketHistory(Set<Tickethistory> ticketHistory) {
		this.ticketHistory = ticketHistory;
	}
	
}