package com.oracle.ticketsystem.beans;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The persistent class for the TICKETHISTORY database table.
 * 
 */
@Entity
public class Tickethistory implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private long id;

	private String comments;

	private String state;

	private String updatedate;

	//uni-directional many-to-one association to Technician
    @ManyToOne
	@JoinColumn(name="TECHNICIANID")
	private Technician technician;

	//bi-directional many-to-one association to Ticket
    @ManyToOne
	@JoinColumn(name="TICKETID")
	private Ticket ticket;

    public Tickethistory() {
    }

	public long getId() {
		return this.id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getComments() {
		return this.comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public String getState() {
		return this.state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getUpdatedate() {
		return this.updatedate;
	}

	public void setUpdatedate(String updatedate) {
		this.updatedate = updatedate;
	}

	public Technician getTechnician() {
		return this.technician;
	}

	public void setTechnician(Technician technician) {
		this.technician = technician;
	}
	
	public Ticket getTicket() {
		return this.ticket;
	}

	public void setTicket(Ticket ticket) {
		this.ticket = ticket;
	}
	
}