package com.oracle.ticketsystem.dao;

import com.oracle.ticketsystem.beans.Technician;

public interface ILoginDao {

	/**
	 * Validates the given technician ID and password. 
	 * If the ID and password are valid then return 
	 * the <code>Technician</code> reference, 
	 * otherwise returns null.
	 * 
	 * @param id 
	 *    string ID of Technician
	 * @param pwd 
	 *    string password of Technician
	 * @return TechnicianType 
	 *    if the ID and password are valid
	 */
	public Technician login(String id, String pwd);
}
