/**
 * 
 */
package com.oracle.ticketsystem.dao;

import java.util.List;

import com.oracle.ticketsystem.beans.Product;

/**
 * A DAO for providing product information.
 */
public interface IProductDao {

	/**
	 * Returns all the available products.
	 * 
	 * @return set of <code>Product</code>s 
	 */
	public List<Product> getAllProducts();
	
	/**
	 * Returns reference of a Product for the given product ID.
	 * 
	 * @param id 
	 * 			product ID
	 * @return reference of <code>Product</code> if found for the given ID, 
	 * 		   otherwise null. 
	 */
	public Product getProduct(long id);
	
	
}
