package com.oracle.ticketsystem.dao.tests;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import org.junit.Before;
import org.junit.Test;

import com.oracle.ticketsystem.beans.Technician;
import com.oracle.ticketsystem.dao.ILoginDao;
import com.oracle.ticketsystem.dao.impl.LoginJPADao;

public class LoginDaoTest {

	
	private ILoginDao loginDao = null;

	@Before
	public void setUp() throws Exception {
		loginDao = new LoginJPADao();
	}

	@Test
	public void testLogin() {
		
		// testing valid technician 
		String id = "peter";
		String pwd = "peter";
		Technician technician = loginDao.login(id, pwd);
		
		assertNotNull("No technician found for the ID " + id 
				+ " and password " + pwd, technician);
		
		// testing in-valid technician with junk parameters 
		id = "junk";
		pwd = "junk";
		technician = loginDao.login(id, pwd);
		
		assertNull("Technician found for the ID " + id 
				+ " and password " + pwd, technician);
		
	}
	
}
