/**
 * 
 */
package com.oracle.ticketsystem.dao.impl;

import java.util.List;

import javax.persistence.Query;

import com.oracle.ticketsystem.beans.Product;
import com.oracle.ticketsystem.dao.IProductDao;

/**
 * The JPA DAO implementation for Product entity.
 *
 */
public class ProductJPADao extends BaseJPADao implements IProductDao {

	/**
	 * Default no-arg constructor
	 */
	public ProductJPADao() {
		super();
	}
	
	/* (non-Javadoc)
	 * @see com.oracle.ticketsystem.dao.IProductDAO#getAllProducts()
	 */
	@SuppressWarnings("unchecked")
	@Override
	public List<Product> getAllProducts() {
		Query allProductsQuery = getEntityManager().createQuery("select p from Product p");
		List<Product> allProducts = allProductsQuery.getResultList();
		return allProducts;
	}

	/* (non-Javadoc)
	 * @see com.oracle.ticketsystem.dao.IProductDAO#getProduct(int)
	 */
	@Override
	public Product getProduct(long id) {
		return getEntityManager().find(Product.class, id);
	}

}
